clear
close all
fid=fopen('density.txt','r');
num=fscanf(fid,'%d',1);
den=fscanf(fid,'%f',2*num);
fclose(fid);
fid=fopen('temperature.txt','r');
num=fscanf(fid,'%d',1);
temp=fscanf(fid,'%f',2*num);
fclose(fid);
load('geometry')
load('equil')
h=figure;
set(h,'position',[100,200,800,700])
s1=subplot(3,2,[1,3,5]);
s2=subplot(3,2,2);
s3=subplot(3,2,4);
s4=subplot(3,2,6);
imagesc(s1,rarr,zarr,psirz')
hold(s1,'on')
plot(s1,limiter(:,1),limiter(:,2),'k-','linewidth',1)
%plot(s,x(1),y(1),'k.','markersize',20)
plot(s1,x(surf2),y(surf2),'k--')
plot(s1,x(surf3),y(surf3),'k--')
plot(s1,x(surf5),y(surf5),'k--')
plot(s1,x(surf6),y(surf6),'k--')
axis(s1,'equal')
colorbar(s1,'location','northoutside','ticklabelinterpreter','latex','ticks',[0:0.2:0.6])
xlabel(s1,'$R$(m)','interpreter','latex')
ylabel(s1,'$z$(m)','interpreter','latex')
title(s1,'$\psi({\rm T}\cdot{\rm m}^2)$','interpreter','latex')
xlim(s1,[0.95 2.45])
ylim(s1,[-1.4 1.4])
set(s1,'fontsize',30,'ticklabelinterpreter','latex',...
    'position',[0.02 0.12 0.55 0.7],'ydir','normal','xtick',[1.2:0.4:2.4])
plot(s1,x(surf2(10:25))+0.1,y(surf2(10:25)),'k')
caxis(s1,[0 0.7])
annotation(h,'arrow','position',[0.378 0.54 -0.015 0.023],'color','k')
annotation(h,'ellipse','position',[0.29 0.45 0.03 0.035],'color','k')
annotation(h,'textbox','position',[0.295 0.476 -0.01 0.02],'string','$\times$'...
    ,'interpreter','latex','fontsize',30,'edgecolor','none','color','k')
annotation(h,'textbox','position',[0.25 0.485 -0.01 0.02],'string','$\varphi$'...
    ,'interpreter','latex','fontsize',36,'edgecolor','none','color','k')
annotation(h,'textbox','position',[0.385 0.48 -0.01 0.02],'string','$\theta$'...
    ,'interpreter','latex','fontsize',36,'edgecolor','none','color','k')
%
plot(s2,psi/psix,-I)
hold(s2,'on')
plot(s2,[1,1.05],[-I(65) -I(65)],'color',[0 0.45 0.74])
set(s2,'xticklabel',{})
xlim(s2,[0 1.05])
set(s2,'ticklabelinterpreter','latex','fontsize',30,'xtick',[0:0.2:1],'position',[0.59 0.72 0.4 0.2])
title(s2,'$RB_\varphi({\rm T}\cdot{\rm m})$','interpreter','latex')
ylim(s2,[-3 -2.7])
set(s2,'ytick',[-3:0.1:-2.7])
%
plot(s3,den(1:2:2*num),den(2:2:2*num),'linewidth',1)
ylim(s3,[0 5e19])
set(s3,'ytick',[0:2e19:4e19])
xlim(s3,[0 1.05])
set(s3,'xticklabel',{})
set(s3,'ticklabelinterpreter','latex','fontsize',30,'xtick',[0:0.2:1],'position',[0.59 0.42 0.4 0.2])
title(s3,'$n_{i0}({\rm m}^{-3})$','interpreter','latex')
%
plot(s4,temp(1:2:2*num),temp(2:2:2*num),'linewidth',1)
ylim(s4,[0 1200])
set(s4,'ytick',[0:600:1200])
xlim(s4,[0 1.05])
xlabel(s4,'$\psi_n$','interpreter','latex')
set(s4,'ticklabelinterpreter','latex','fontsize',30,'xtick',[0:0.2:1],'position',[0.59 0.12 0.4 0.2])
title(s4,'$T_{i0}({\rm eV})$','interpreter','latex')
%
annotation(h,'textbox','string','(a)','position',[0.38 0.8 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.6 0.9 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(c)','position',[0.6 0.48 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(d)','position',[0.6 0.18 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)