clear
close all
load('core2d')
cm=redblue(100);
%cm=plasma(100);
h=figure;
set(h,'position',[1000 100 1000 580])
s1=subplot(1,3,1);
s2=subplot(1,3,2);
s3=subplot(1,3,3);
set(s1,'position',[0.03 0.085 0.4 0.8])
set(s2,'position',[0.335 0.085 0.4 0.8])
set(s3,'position',[0.64 0.085 0.4 0.8])
imagesc(s1,xlin,ylin,dpot)
caxis(s1,[-0.5 0.5])
Pi=iden.*(2*tperp+tpara)/3;
imagesc(s2,xlin,ylin,Pi-Piavg)
caxis(s2,[-5e19 5e19])
imagesc(s3,xlin,ylin,upara)
caxis(s3,[-2e3 2e3])
s=[s1,s2,s3];
title(s1,'$\breve{\Phi}$(V)','interpreter','latex')
title(s2,'$\breve{p}_i$(eV$/$m$^{3}$)','interpreter','latex')
title(s3,'$u_{\parallel,i}$(m/s)','interpreter','latex')
for i=1:3
    xlabel(s(i),'$r$(m)','interpreter','latex')
    if i==1
    ylabel(s(i),'$z$(m)','interpreter','latex')
    set(s(i),'ytick',[-0.4:0.2:0.4])
    else
        set(s(i),'ytick',[])
    end
    axis(s(i),'equal')
    xlim(s(i),[1.35 2.1])
    ylim(s(i),[-0.5 0.5])
    hold(s(i),'on')
    plot(s(i),x(nodes),y(nodes),'k--','linewidth',2)
    set(s(i),'ydir','normal','fontsize',32,'ticklabelinterpreter','latex',...
        'xtick',[1.3:0.2:2.1])
    colormap(s(i),cm)
    colorbar(s(i),'location','southoutside','ticklabelinterpreter','latex')
end
annotation(h,'textbox','string','(a)','position',[0.08 0.97 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.385 0.97 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(c)','position',[0.69 0.97 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)