clear
close all
load('coreEr')
%
h=figure;
set(h,'position',[1000,200,1000,430])
s1=subplot(1,2,1);
s2=subplot(1,2,2);
set(s1,'position',[0.06 0.22 0.425 0.65])
set(s2,'position',[0.55 0.22 0.425 0.65])
s=[s1,s2];
t=20:20:4000;
t=t*3.95e-4;
%data1=-L1(:,102)*dVdpsi(102)/1.6e-19;
data1=-dphidpsi(:,102)*idendf(102,1);
data1(25:200)=smoothdata(data1(25:200),'gaussian',5);
data2=fluxmag(:,102)*dVdpsi(102);
data2(25:200)=smoothdata(data2(25:200),'gaussian',5);
data3=fluxexb(:,102)*dVdpsi(102);
data3(25:200)=smoothdata(data3(25:200),'gaussian',5);
plot(s1,t,data1,'linewidth',1)
ylim(s1,[-1.2e23 -0.6e23])
plot(s2,t,data2,'-','linewidth',1)
hold(s2,'on')
plot(s2,t,data3,'-.','linewidth',1)
plot(s2,[0 1.6],[0 0],'k--','linewidth',1)
ylim(s2,[-2e20 2e20])
set(s2,'ytick',[-2e20:1e20:2e20])
for i=1:2
    xlim(s(i),[0 1.6])
    xlabel(s(i),'$t$(ms)','interpreter','latex')
    set(s(i),'ticklabelinterpreter','latex','fontsize',34,'xtick',[0:0.4:1.6])
end
title(s1,'$\mathcal{E}({\rm eV}/({\rm T}\cdot{\rm m}^{5}))$','interpreter','latex')
title(s2,'$\Gamma({\rm s}^{-1})$','interpreter','latex')
legend(s2,{'$\Gamma_{\rm curv}$','$\Gamma_{E\times B}$'},'numcolumns',2,...
    'interpreter','latex','location','southeast','fontsize',34)
annotation(h,'textbox','string','(a)','position',[0.41 0.85 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.9 0.85 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)