clear
close all
%
h=figure;
set(h,'position',[200,200,1000,430])
s1=subplot(1,2,1);
s2=subplot(1,2,2);
set(s1,'position',[0.05 0.22 0.42 0.68])
set(s2,'position',[0.55 0.22 0.42 0.68])
s=[s1,s2];
load('coreFlux')
t=t*3.95e-4;
%fluxcol=smoothdata(fluxcol,'gaussian',3);
%fluxturb=smoothdata(fluxturb,'gaussian',3);
%dfdt=smoothdata(dfdt,'gaussian',3);
plot(s1,t,2*pi*flux_col1,'-','linewidth',1)
hold(s1,'on')
plot(s1,t,2*pi*flux_dfdt1,'r-.','linewidth',1)
plot(s1,t,2*pi*(flux_col1+flux_dfdt1),'--','linewidth',1,'color',[0,0.5,0])
plot(s2,t,2*pi*flux_col2,'-','linewidth',1)
hold(s2,'on')
plot(s2,t,2*pi*flux_dfdt2,'r-.','linewidth',1)
plot(s2,t,2*pi*flux_turb,'--','linewidth',1,'color','m')
for i=1:2
xlim(s(i),[0.4 1.6])
ylim(s(i),[-3e19 9e19])
%plot(s(i),[t(1) t(30)],[0 0],'k--')
xlabel(s(i),'$t$(ms)','interpreter','latex')
set(s(i),'fontsize',34,'xtick',[0.4:0.4:1.6],'ticklabelinterpreter','latex','ytick',[-3e19:3e19:9e19])
end
legend(s1,{'$\Gamma_{\rm col}^1$','$\Gamma_{t}^1$','$\Gamma_{\rm col}^1+\Gamma_t^1$'},'interpreter','latex',...
    'location','northwest','numcolumns',1,'fontsize',34)
legend(s2,{'$\Gamma_{\rm col}^2$','$\Gamma_{t}^2$','$\Gamma_{\rm rem}$'},'interpreter','latex',...
    'location','southeast','numcolumns',3,'fontsize',34)
annotation(h,'textbox','string','(a)','position',[0.41 0.87 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.91 0.87 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)