clear
close all
load('edgeEr_forward','psi','dVdpsi','idendf','dpdpsi')
load('edgeEr_forward','dphidpsi');
f1=dphidpsi;
clear dphidpsi
load('edgeEr_backward','dphidpsi');
f2=dphidpsi;
clear dphidpsi
%
h=figure;
set(h,'position',[200,200,1000,430])
s1=subplot(1,2,1);
s2=subplot(1,2,2);
set(s1,'position',[0.06 0.22 0.41 0.65])
set(s2,'position',[0.56 0.22 0.41 0.65])
s=[s1,s2];
psin=psi(:,1)/0.331;
plot(s1,psin,-f1(200,:).*idendf(:,1)','linewidth',1.5)
hold(s1,'on')
plot(s1,psin,-f2(200,:).*idendf(:,1)','-.','linewidth',1.5)
plot(s1,psin,dpdpsi,'k--','linewidth',1.5)
xlim(s1,[0.94 1])
xlabel(s1,'$\psi_n$','interpreter','latex')
t=3.95e-4*[20:20:4000];
plot(s2,t,-f1(:,248)*idendf(248,1),'linewidth',1.5)
hold(s2,'on')
plot(s2,t,-f2(:,248)*idendf(248,1),'-.','linewidth',1.5)
xlim(s2,[0 1.6])
xticks(s2,[0:0.4:1.6])
xlabel(s2,'$t$(ms)','interpreter','latex')
legend(s1,{'forward','backward','$\partial_\psi(n_{i0}T_{i0})$'},'interpreter','latex',...
    'location','southwest')
legend(s2,{'forward','backward'},'interpreter','latex',...
    'location','northeast')
for i=1:2
    ylim(s(i),[-13e23 0])
    set(s(i),'ticklabelinterpreter','latex','fontsize',34)
end
title(s1,'$\mathcal{E}(\psi_n)$','interpreter','latex')
title(s2,'$\mathcal{E}(t)$','interpreter','latex')
annotation(h,'textbox','string','(a)','position',[0.41 0.84 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.57 0.84 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)