clear
close all
h=figure;
set(h,'position',[200,200,1000,430])
s1=subplot(1,2,1);
s2=subplot(1,2,2);
set(s1,'position',[0.05 0.22 0.42 0.65])
set(s2,'position',[0.55 0.22 0.42 0.65])
s=[s1,s2];
t=3.95e-4*[2100:100:4000];
%
load('edgeFlux_forward')
plot(s1,t,2*pi*flux_col,'-o','linewidth',1.5,'markersize',8)
hold(s1,'on')
plot(s1,t,2*pi*flux_col_loss,'o--','linewidth',1.5,'markersize',8)
plot(s1,t,2*pi*flux_dfdt,'-x','linewidth',1.5,'markersize',12)
plot(s1,t,2*pi*flux_dfdt_loss,'x--','linewidth',1.5,'markersize',12)
xlim(s1,[0.8 1.6])
xlabel(s1,'$t$(ms)','interpreter','latex')
clear flux_dfdt flux_dfdt_loss flux_col flux_col_loss
load('edgeFlux_backward')
plot(s2,t,2*pi*flux_col,'-o','linewidth',1.5,'markersize',8)
hold(s2,'on')
plot(s2,t,2*pi*flux_col_loss,'o--','linewidth',1.5,'markersize',8)
plot(s2,t,2*pi*flux_dfdt,'-x','linewidth',1.5,'markersize',12)
plot(s2,t,2*pi*flux_dfdt_loss,'x--','linewidth',1.5,'markersize',12)
xlim(s2,[0.8 1.6])
xlabel(s2,'$t$(ms)','interpreter','latex')
for i=1:2
    ylim(s(i),[-2.5e20 2e20])
    legend(s(i),{'$\Gamma_{\rm col}$','$\Gamma_{\rm col}^{\rm loss}$','$\Gamma_t$','$\Gamma_t^{\rm loss}$'},...
        'interpreter','latex','numcolumns',4,'location','southeast','fontsize',34)
    set(s(i),'ticklabelinterpreter','latex','fontsize',34,'xtick',[0.8:0.2:1.6],'ytick',[-2e20:1e20:2e20])
end
title(s1,'forward','interpreter','latex')
title(s2,'backward','interpreter','latex')
annotation(h,'textbox','string','(a)','position',[0.045 0.33 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.545 0.33 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)