clear
close all
load('edgeEr_forward','dphidpsi')
f1=dphidpsi(:,248);
f1(50:200)=smoothdata(f1(50:200),'gaussian',5);
clear dphidpsi
load('shiftProfile_forward','dphidpsi')
f2=dphidpsi(:,223);
f2(50:200)=smoothdata(f2(50:200),'gaussian',5);
clear dphidpsi
load('edgeEr_backward','dphidpsi')
f3=dphidpsi(:,248);
f3(50:200)=smoothdata(f3(50:200),'gaussian',5);
clear dphidpsi
load('shiftProfile_backward','dphidpsi')
f4=dphidpsi(:,223);
f4(50:200)=smoothdata(f4(50:200),'gaussian',5);
clear dphidpsi
%
h=figure;
set(h,'position',[200,200,1000,430])
s1=subplot(1,2,1);
s2=subplot(1,2,2);
set(s1,'position',[0.068 0.22 0.41 0.65])
set(s2,'position',[0.568 0.22 0.41 0.65])
s=[s1,s2];
t=[20:20:4000]*3.95e-4;
iden=1.8757e19;
plot(s1,t,-iden*f1,'linewidth',1.5)
hold(s1,'on')
plot(s1,t,-iden*f2,'-.','linewidth',1.5)
data=6.02e4-9.1e3*exp(-1.5*t);
data=-data*iden;
plot(s1,t,data,'k--','linewidth',1.)
xlabel(s1,'$t$(ms)','interpreter','latex')
plot(s2,t,-iden*f3,'linewidth',1.5)
hold(s2,'on')
plot(s2,t,-iden*f4,'-.','linewidth',1.5)
xlabel(s2,'$t$(ms)','interpreter','latex')
data=5.62e4-6.8e3*exp(-2.5*t);
data=-data*iden;
plot(s2,t,data,'k--','linewidth',1.)
for i=1:2
    xlim(s(i),[0. 1.6])
    ylim(s(i),[-12e23 -8.9e23])
    set(s(i),'ticklabelinterpreter','latex','fontsize',34,'xtick',[0:0.4:1.6])
    legend(s(i),{'original','shifted','$\mathcal{E}_0+\mathcal{E}_1e^{-\nu_p t}$'},'interpreter','latex',...
    'location','northeast')
end
title(s1,'forward','interpreter','latex')
title(s2,'backward','interpreter','latex')
annotation(h,'textbox','string','(a)','position',[0.41 0.33 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.91 0.33 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)