clear
close all
load('edgeEr_forward','angmomavg','psi')
f1=angmomavg;
clear angmomavg
load('edgeEr_backward','angmomavg')
f2=angmomavg;
clear angmomavg
%
h=figure;
set(h,'position',[200,200,1000,430])
s1=subplot(1,2,1);
s2=subplot(1,2,2);
set(s1,'position',[0.04 0.22 0.44 0.65])
set(s2,'position',[0.55 0.22 0.44 0.65])
s=[s1,s2];
t=[20:20:4000]*3.95e-4;
psin=psi(:,1)/0.331;
plot(s1,psin,f1(100,:),'-','linewidth',1.5)
hold(s1,'on')
plot(s1,psin,f1(150,:),'-.','linewidth',1.5)
plot(s1,psin,f1(200,:),'--','linewidth',1.5,'color',[0 0.5 0])
plot(s2,psin,f2(100,:),'-','linewidth',1.5)
hold(s2,'on')
plot(s2,psin,f2(150,:),'-.','linewidth',1.5)
plot(s2,psin,f2(200,:),'--','linewidth',1.5,'color',[0 0.5 0])
for i=1:2
    legend(s(i),{'$t=0.8{\rm ms}$','$t=1.2{\rm ms}$','$t=1.6{\rm ms}$'},...
        'interpreter','latex','location','northwest')
    xlabel(s(i),'$\psi_n$','interpreter','latex')
    xlim(s(i),[0.9 1.])
    ylim(s(i),[-2.7e-4 3e-4])
    set(s(i),'ticklabelinterpreter','latex','fontsize',34)
end
title(s1,'forward','interpreter','latex')
title(s2,'backward','interpreter','latex')
annotation(h,'textbox','string','(a)','position',[0.41 0.33 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)
annotation(h,'textbox','string','(b)','position',[0.92 0.33 0.01 0.01],...
    'interpreter','latex','edgecolor','none','fontsize',34)